Setting Recovery Type
- reference
Node recovery type is set with the POST /controller/setRecoveryType HTTP method and URI.
HTTP method and URI
Sets the recovery type to be performed for a node that has been failed over. The recovery type for a node is set after the node is failed over and before rebalance. Rebalance is required to apply the recovery.
POST /controller/setRecoveryType
Specify recoveryType=full.
Syntax
POST /controller/setRecoveryType
otpNode=[node@hostname]
recoveryType=full
The otpNode parameter specifies the node to be recovered, in the form ns_1@<hostname>.
The node must currently be failed over, or already marked for recovery.
Example
The following Curl request example sets full recovery for a failed-over node.
curl -u Administrator:password -d 'otpNode=ns_1@10.5.2.118' -d 'recoveryType=full' \ http://10.5.2.54:8091/controller/setRecoveryType
If successful, the call returns an empty array. The node must then be rebalanced back into the cluster: see Rebalancing the Cluster.
Response codes
200 // Request succeeded
400 // recoveryType and/or otpNode could not be understood by the server,
or the node is not in a failed-over state
If the call fails, the response is an object that names each parameter in error. For example:
{"otpNode":"invalid node name or node can't be used for delta recovery"}
See Also
For an overview of recovering a node, see Recover a Node and Rebalance. For information on failing a node over, see Failover. To perform recovery with the CLI, see recovery.